Subject: bug#16007: closed (Re: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Jun 2014 08:16:03 +0000

Your bug report

#16007: admin/charsets/mule-charsets.el requires old Emacs version

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16007: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16007
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 07 Jun 2014 11:15:18 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 02 Jan 2014 05:40:00 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Kenichi Handa <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Thu, 02 Jan 2014 10:49:09 +0900
> > 
> > > Why is it a problem to make changes in mule-charsets.el so that it
> > > could work both with Emacs 22 and with the latest versions of Emacs?
> > 
> > Because we don't have a reasonable explanation why we have
> > that file and keep it runnable with the latest Emacs.
> > 
> > > What do we lose if we make such a change in mule-charsets.el?
> > 
> > We will waste a time of future maintainers who must keep
> > that file runnable with the latest Emacs.  It's a waste
> > because such an effort yields nothing.
> 
> Stefan, I guess this becomes your call, then.

I see that Handa-san fixed this in revision 115426.1.2, so I'm closing
this bug.

Subject: admin/charsets/mule-charsets.el requires old Emacs version
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 29 Nov 2013 20:54:22 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.3.50

The charsets etc/charsets/MULE*.map are generated files, produced by
admin/charsets/mule-charsets.el. But this requires Emacs 21.3 or 22,
it does not work with modern Emacs. Therefore Emacs cannot
self-bootstrap without an old Emacs around. I think this is a problem.